---
document: modulemd
version: 2
data:
  name: nodejs
  stream: "18"
  version: 8100020250616145318
  context: 9edba152
  arch: x86_64
  summary: Javascript runtime
  description: >-
    Node.js is a platform built on Chrome's JavaScript runtime for easily building
    fast, scalable network applications. Node.js uses an event-driven, non-blocking
    I/O model that makes it lightweight and efficient, perfect for data-intensive
    real-time applications that run across distributed devices.
  license:
    module:
    - MIT
  dependencies:
  - buildrequires:
      platform: [el8]
    requires:
      platform: [el8]
  references:
    community: http://nodejs.org
    documentation: http://nodejs.org/en/docs
    tracker: https://github.com/nodejs/node/issues
  profiles:
    common:
      rpms:
      - nodejs
      - npm
    development:
      rpms:
      - nodejs
      - nodejs-devel
      - npm
    minimal:
      rpms:
      - nodejs
    s2i:
      rpms:
      - nodejs
      - nodejs-nodemon
      - npm
  api:
    rpms:
    - nodejs
    - nodejs-devel
    - npm
  buildopts:
    rpms:
      macros: >
        %_with_bundled 1
  components:
    rpms:
      nodejs:
        rationale: Javascript runtime and npm package manager.
        ref: 96ab9eacb4b9d2e941cf9037ce28a3ce297f22fb
        buildorder: 100
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-nodemon:
        rationale: Simple monitor script for use during development of a node.js app
        ref: 84acc5e8af2f288a97ba33de277a6d0ea31c9863
        buildorder: 200
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
      nodejs-packaging:
        rationale: RPM Macros and Utilities for Node.js Packaging
        ref: a6670001357d3bcf4bb7265554c71bd735b12d15
        buildorder: 10
        arches: [aarch64, i686, ppc64le, s390x, x86_64]
  artifacts:
    rpms:
    - nodejs-1:18.20.8-1.module_el8.10.0+4015+60c10815.src
    - nodejs-1:18.20.8-1.module_el8.10.0+4015+60c10815.x86_64
    - nodejs-debuginfo-1:18.20.8-1.module_el8.10.0+4015+60c10815.x86_64
    - nodejs-debugsource-1:18.20.8-1.module_el8.10.0+4015+60c10815.x86_64
    - nodejs-devel-1:18.20.8-1.module_el8.10.0+4015+60c10815.x86_64
    - nodejs-docs-1:18.20.8-1.module_el8.10.0+4015+60c10815.noarch
    - nodejs-full-i18n-1:18.20.8-1.module_el8.10.0+4015+60c10815.x86_64
    - nodejs-nodemon-0:3.0.1-1.module_el8.10.0+4015+60c10815.noarch
    - nodejs-nodemon-0:3.0.1-1.module_el8.10.0+4015+60c10815.src
    - nodejs-packaging-0:2021.06-4.module_el8.10.0+4015+60c10815.noarch
    - nodejs-packaging-0:2021.06-4.module_el8.10.0+4015+60c10815.src
    - nodejs-packaging-bundler-0:2021.06-4.module_el8.10.0+4015+60c10815.noarch
    - npm-1:10.8.2-1.18.20.8.1.module_el8.10.0+4015+60c10815.x86_64
...
